# ISLocalToGlobalMappingApplyIS

Creates from an IS in the local numbering a new index set using the global numbering defined in an ISLocalToGlobalMapping context.

### Synopsis

    #include "petscsys.h"
    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingApplyIS(ISLocalToGlobalMapping mapping,IS is,IS *newis)

Not collective

### Input Parameters

| mapping | - mapping between local and global numbering
| is | - index set in local numbering

### Output Parameters

newis -index set in global numbering

### See Also

ISLocalToGlobalMappingApply(), ISLocalToGlobalMappingCreate(),
ISLocalToGlobalMappingDestroy(), ISGlobalToLocalMappingApply()

Level:advanced
Location: src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages